Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query Group Members

Query the user IDs of all members in a specified group.

Request Method

POST: https://data center domain/group/user/query.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rules. For details, refer to API Request Signature.

Body Parameters

The HTTP request body is in application/x-www-form-urlencoded format and supports the following HTTP form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID.

Request Example

POST /group/user/query.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

groupId=123

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeIntReturn code, 200 indicates success.
usersStringArray of group members.
idStringUser ID of the group member.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"users":[
{
"id":"10001"
},
{
"id":"10002"
},
{
"id":"10000"
},
{
"id":"10003"
}
]
}